KateModOnHdPrompt Class Reference

`#include <katedialogs.h>`

Inheritance diagram for KateModOnHdPrompt:

## Public Types

enum | Status { Reload =1, Save, Overwrite, Ignore }

## Public Slots

void | slotDiff ()
void | slotOk ()
void | slotApply ()
void | slotUser1 ()

## Public Member Functions

| KateModOnHdPrompt (KateDocument *doc, int modtype, const QString &reason, QWidget *parent)

## Additional Inherited Members

Protected Member Functions inherited from KDialog
virtual void | keyPressEvent (QKeyEvent *)

## Detailed Description

This dialog will prompt the user for what do with a file that is modified on disk.

If the file wasn't deleted, it has a 'diff' button, which will create a diff file (uing diff(1)) and launch that using KRun.

Definition at line 370 of file katedialogs.h.

## Member Function Documentation

void KateModOnHdPrompt::slotDiff | ( |  | ) |

slot

Show a diff between the document text and the disk file.

This will not close the dialog, since we still need a decision from the user.

Definition at line 1641 of file katedialogs.cpp.

The documentation for this class was generated from the following files:

- katedialogs.h
- katedialogs.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys